use cuddle_ci::cuddle_file::CuddleFile;
use cuddle_ci::rust_service::architecture::{Architecture, Os};
use cuddle_ci::rust_service::extensions::*;
use cuddle_ci::rust_service::RustService;
use cuddle_ci::{cuddle_please, CuddleCI};

#[tokio::main]
async fn main() -> eyre::Result<()> {
    let client = dagger_sdk::connect().await?;
    let cuddle_file = CuddleFile::from_cuddle_file().await?;

    let cuddle_please = &cuddle_please::CuddlePlease::new(client.clone());

    CuddleCI::default()
        .with_main(cuddle_please)
        .execute(std::env::args())
        .await?;

    Ok(())
}
